Bug 14116 - Silence noise t/Scrubber.t
Summary: Silence noise t/Scrubber.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 8879
  Show dependency treegraph
 
Reported: 2015-05-02 01:16 UTC by M. Tompsett
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14116: Silence noisy output for t/Scrubber. (1.32 KB, patch)
2015-05-02 01:19 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14116: Silence noisy output for t/Scrubber. (1.42 KB, patch)
2015-05-06 20:10 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14116: Silence noisy output for t/Scrubber. (1.41 KB, patch)
2015-05-27 18:11 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14116: Clean up output, not just noise. (3.23 KB, patch)
2015-05-27 18:11 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14116: Silence noisy output for t/Scrubber. (3.56 KB, patch)
2015-05-27 18:16 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14116: Silence noisy output for t/Scrubber. (3.63 KB, patch)
2015-05-27 18:41 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 14116: Silence noisy output for t/Scrubber. (3.69 KB, patch)
2015-05-29 15:39 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2015-05-02 01:16:27 UTC
Some diag's are better suited as prints.
Comment 1 M. Tompsett 2015-05-02 01:19:27 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-05-06 20:10:15 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-22 08:29:02 UTC
Actually I think we should just put these strings as comments.
I don't see any usefulness to print them.
Comment 4 M. Tompsett 2015-05-22 17:42:31 UTC
(In reply to Jonathan Druart from comment #3)
> Actually I think we should just put these strings as comments.
> I don't see any usefulness to print them.

The point of the patch was to silence noise, not necessarily clean up output. ;)
Comment 5 Tomás Cohen Arazi 2015-05-22 18:21:26 UTC
(In reply to M. Tompsett from comment #4)
> (In reply to Jonathan Druart from comment #3)
> > Actually I think we should just put these strings as comments.
> > I don't see any usefulness to print them.
> 
> The point of the patch was to silence noise, not necessarily clean up
> output. ;)

It only silences a part of the noise. New patch needed /me thinks.
Comment 6 M. Tompsett 2015-05-23 03:33:20 UTC
(In reply to Tomás Cohen Arazi from comment #5)
> It only silences a part of the noise. New patch needed /me thinks.

So, another commit on this bug? Or another bug report?
Comment 7 M. Tompsett 2015-05-27 18:11:09 UTC Comment hidden (obsolete)
Comment 8 M. Tompsett 2015-05-27 18:11:30 UTC Comment hidden (obsolete)
Comment 9 M. Tompsett 2015-05-27 18:12:00 UTC
Added second commit that needs sign off.
Comment 10 M. Tompsett 2015-05-27 18:16:24 UTC Comment hidden (obsolete)
Comment 11 Tomás Cohen Arazi 2015-05-27 18:41:20 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2015-05-29 15:39:20 UTC
Created attachment 39694 [details] [review]
[PASSED QA] Bug 14116: Silence noisy output for t/Scrubber.

Why diag or print out things, unless it is -v?
And why print anything except success or failure type messages?
This cleans up the output.

TEST PLAN
---------
1) $ prove t/Scrubber.t
   -- there's some noise.
2) apply patch
3) $ prove t/Scrubber.t
   -- noise issue resolved.
      Output is still reasonable for -v.
4) koha qa test tools

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Tomás Cohen Arazi 2015-06-01 17:19:07 UTC
Patch pushed to master.

Thanks Mark!